include ../../Makefile.cfg

TARGETS = config.rb

all : $(TARGETS)

clean :

distclean :
	-rm $(TARGETS)

install : all
	mkdir -p $(DESTDIR)$(RUBYLIBDIR)/voodoo
	cp -r * $(DESTDIR)$(RUBYLIBDIR)/voodoo

config.rb : config.rb.in ../../Makefile.cfg
	env DEFAULT_ARCHITECTURE="$(DEFAULT_ARCHITECTURE)" \
            DEFAULT_FORMAT="$(DEFAULT_FORMAT)" \
	    NASM="$(NASM)" \
	    GAS="$(GAS)" \
	  $(RUBY) config.rb.in > config.rb

.PHONY : all clean distclean install
